slepc-3.21.1 2024-04-26
Report Typos and Errors

# STSetWorkVecs

Sets a number of work vectors into the ST object.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetWorkVecs(ST st,PetscInt nw)

Collective

### Input Parameters

| st | - the spectral transformation context
| nw | - number of work vectors to allocate

### Developer Notes

This is SLEPC_EXTERN because it may be required by shell STs.

### See Also

STMatCreateVecs()

### Level

developer

### Location

src/sys/classes/st/interface/stsolve.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages